English   German   Spanish   Dutch   French
Time and Space
Go
Advanced Search  
Shopping Bag Shopping Bag
0 items  Total £ 0.00 ex vat
view bag   |  checkout
Welcome  |  Login  |  My Account  |  Customer Services
Select Currency: GB Pounds  Euros  US Dollars

FREE IZOTOPE OZONE IMAGER (DOWNLOAD)
OVERLOUD EXCLUSIVE TH3 TIME AND SPACE FREE EDITION(DOWNLOAD)
GOTHIC INSTRUMENTS DRONAR FREE EDITION
TOONTRACK SUPERIOR DRUMMER 3 UPGRADE (DOWNLOAD)
FREE DARK AMBIENCE PATCHES FOR OMNISPHERE - TASTER PACK
FREE IMPACT SOUNDWORKS TRIAL PACK
GOTHIC INSTRUMENTS SCULPTOR EPIC DROPS
FREE IZOTOPE VINYL (DOWNLOAD)
FREE IZOTOPE NEUTRINO (DOWNLOAD)
FREE IMPACT SOUNDWORKS THE STROH VIOLIN (DOWNLOAD)
Our Products  >  DELETED Ilio EDM BUNDLE for...

DELETED Ilio EDM BUNDLE for Omnisphere (Download)

DELETED Ilio EDM BUNDLE for Omnisphere (Download)

Bookmark and Share


Have you used this product? Tell us what you think and you could win iZotope Neutron Mixing Console.

ILIO

Buy download
Once payment is authorised, an e-mail will be sent to you with a link to download this software.

Free Tech Support

Customer Rewards Approved

Sorry. This item is currently unavailable to order.

Combines six Ilio expansion packs for Omnisphere 1 and 2


Omnisphere 1 Users - Legacy files require full version of Spectrasonics Omnisphere 1.5.8d or higher.

Omnisphere 2 Users - Full version of Spectrasonics Omnisphere 2.1.0d or higher is required to install the .Omnisphere library.


Featuring all Ilio EDM packs, plus the newest collection Pulsar, this is a great value collection for Omnisphere users who make electronic dance music, as well as producers who want to add elements of EDM into their Hip-Hop, television or film scores.

If bought separately, the packs in this collection would cost a total of £160 - but until 5th January you can own them all for just £65.95!

The bundle includes...

Pulsar

EDM Fire

EDM Ignition

EDM Eclipse Lunar

Ascension

 

Total Bundle Download Size: 6.8MB

 


Format
Go
  • Expansion for Omnisphere 1 & 2
System Requirements
Windows MAC

Omnisphere 1 Users - Legacy files require full version of Spectrasonics Omnisphere 1.5.8d or higher.

Omnisphere 2 Users - Full version of Spectrasonics Omnisphere 2.1.0d or higher is required to install the .Omnisphere library.

Also by this supplier
Click here to view more products from ILIO
Ask a question
The ILIO license agreement allows this product to be used to produce library or production music.
Home  |  About Us  |  Products  |  Events  |  News  |  Education  |  Testimonials  |  Careers
  • Time + Space | Facebook
  • Time + Space | Twitter
  • Time + Space | SoundCloud
  • Time + Space | YouTube
  • Time + Space | Instagram
Aspin Interactive
Terms & Conditions  |  Security  |  Privacy Statement  |  Contact Us
© Copyright 2017 Time+Space. All rights reserved.